“Your PHP installation appears to be missing the MySQL extension which is required by WordPress.”错误的解决方法

“Your PHP installation appears to be missing the MySQL extension which is required by WordPress.” 您的PHP安装似乎缺少WordPress必须的MySQL扩展 这种错误往往是出现在WordPress网站的cPanel主机在升级PHP 5.x 到 PHP 7.x 版本后会出现的错误,导致网站无法正常访问。

究其原因,主要是因为在 WordPres 3.9 版本之前,WordPress仅检查 PHP 的“ MySQL” 扩展名,由于,较旧的MySQL扩展在 PHP 5.5 之后已被弃用,并且在 PHP 7.0 之后就被完全弃用了,因此,我们在更新的空间里的 PHP 版本到 PHP 7.0 和更高版本时,往往就会出现“Your PHP installation appears to be missing the MySQL extension which is required by WordPress.”错误了。

PHP安装似乎缺少WordPress必须的MySQL扩展
PHP安装似乎缺少WordPress必须的MySQL扩展

当然,遇到问题总要寻求解决办法。不必担忧,WPPOP为您提供简单实用的方法来解决这个问题。

在执行本文中的修复步骤之前,WPPOP强烈建议您先备份好网站根目录下的 .htaccess 文件,如果操作过程中出现不可预知的问题,可以通过恢复备份文件来还原。具体备份方法,可以通过执行以下步骤来完成:

  1. 登录你的主机cPanel管理面板,找到 文件管理器(File Manager)并进入; 
  2. 文件管理器(File Manager)中,进入/ public_html 目录,.htaccess 文件就是保存在这个目录下的(如果没有找到,可以点击 文件管理器右上角的 设置 按钮,勾选其中的 显示隐藏文件(dotfiles)项);
  3. .htaccess 文件 文件下载到本地,或者在线复杂一个,命名为 .htaccess.bak 备份文件。

在主机 cPanel面板中修复

如果您的WordPress网站在带有cPanel面板的虚拟主机上安装的,请执行以下步骤。

第1步:登录 到您的 cPanel 帐户;
第2步:在 cPanel主机面板中找到  “多PHP管理器 (MultiPHP Manager)”选项,然后点击打开,如下图所示位置:

Cpanel中的PHP版本选择器
Cpanel中的PHP版本选择器

第3步:进入多PHP管理选择器页面,找到并勾选要修改PHP版本的网站域名,然后,在 PHP 版本 下拉列表中选择你要使用的PHP版本,最后,点击 应用(Apply) 按钮即可完成了。如下图所示:

Cpanel中的PHP版本选择器
多PHP版本选择器

当PHP版本设置为 7.0或更高版本后,你的网站可能就出现了“Your PHP installation appears to be missing the MySQL extension which is required by WordPress.”的错误了。

现在,我们就着手通过cPanel里的相关设置去修复这个问题,来恢复网站的正常访问。操作步骤如下:

第4步:在主机cPanel管理面板的 文件管理器(File Manager) 中,进入/ public_html 目录,找到里面的 .htaccess 文件(也就是之前建议你备份的文件),打开并将里面的全部代码更新为以下代码后保存:

# BEGIN WordPress
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteBase /
RewriteRule .* - [E=noabort:1]
RewriteRule ^index\.php$ - [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]
</IfModule>
# END WordPress

第5步:在主机cPanel管理面板的 文件管理器(File Manager) 中,分别找到主机根目录下(一般为 /home/wppopcom/)的 .htaccess 文件,根据你设置的网站PHP版本,选择对应的代码添加到该文件里:

PHP 7.1

# php -- BEGIN cPanel-generated handler, do not edit
# Set the “ea-php71” package as the default “PHP” programming language.
<IfModule mime_module>
  AddHandler application/x-httpd-php71 .php .php7 .phtml
</IfModule>
# php -- END cPanel-generated handler, do not edit

PHP 7.2

# php -- BEGIN cPanel-generated handler, do not edit
# Set the “ea-php72” package as the default “PHP” programming language.
<IfModule mime_module>
  AddHandler application/x-httpd-php72 .php .php7 .phtml
</IfModule>
# php -- END cPanel-generated handler, do not edit

PHP 7.3

# php -- BEGIN cPanel-generated handler, do not edit
# Set the “ea-php73” package as the default “PHP” programming language.
<IfModule mime_module>
  AddHandler application/x-httpd-php73 .php .php7 .phtml
</IfModule>
# php -- END cPanel-generated handler, do not edit

PHP 7.4

# php -- BEGIN cPanel-generated handler, do not edit
# Set the “ea-php74” package as the default “PHP” programming language.
<IfModule mime_module>
  AddHandler application/x-httpd-ea-php74 .php .php7 .phtml
</IfModule>
# php -- END cPanel-generated handler, do not edit

第6步:在主机cPanel管理面板的 文件管理器(File Manager) 中,分别找到主机根目录下(一般为 /home/wppopcom/)的 php.ini 文件,和网站根目录下(一般为 /home/wppopcom/public_html/)的php.ini 文件;查看两个文件中的代码是否一致,如果不一样,请以带有最新版PHP版本代码的为准,复制到另一个使其保持统一。如下以PHP 7.4 为例的php.ini 文件代码:

; cPanel-generated php ini directives, do not edit
; Manual editing of this file may result in unexpected behavior.
; To make changes to this file, use the cPanel MultiPHP INI Editor (Home >> Software >> MultiPHP INI Editor)
; For more information, read our documentation (https://go.cpanel.net/EA4ModifyINI)

allow_url_fopen = On
display_errors = Off
enable_dl = Off
file_uploads = On
max_execution_time = 30
max_input_time = 60
max_input_vars = 1000
memory_limit = 256M
post_max_size = 260M
session.gc_maxlifetime = 1440
session.save_path = "/var/cpanel/php/sessions/ea-php74"
upload_max_filesize = 256M
zlib.output_compression = Off

友情提醒:在编辑 .htaccess 文件时,如果里面有重复生成的脚本,可以只保留其中一个;如果有多个旧的PHP Handler条目,则需要删除清理,只保留最新版本的PHP Handler条目即可。


如果在上面的第3步中,在多PHP管理选择器页面,选择设置PHP版本时,支持PHP扩展自定义设置的话,则勾选里面的 MySQL扩展项即可,进入如下图所示:

PHP 7.4 的 MySQL 扩展
MySQL 扩展

然后保存设置就可以解决问题了。

上一篇:

下一篇:

在线留言

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据

官方微信

微信扫一扫 关注我们

返回顶部